method_config_list = [
    {
        'base_name': 'competition_editions',
        'endpoint': '/api/competition_editions',
        'docstring_vars': {'anchor': '/competition_editions_list'},
        'add_save_method': True,
    },
    {
        'base_name': 'competitions',
        'endpoint': '/api/competitions',
        'docstring_vars': {'anchor': '/competitions/competitions_list'},
        'add_save_method': True,
    },
    {
        'base_name': 'competition_competition_editions',
        'endpoint': '/api/competitions/{competition_id}/editions',
        'docstring_vars': {'anchor': '/competitions/competitions_editions_list'},
        'add_save_method': True,
    },
    {
        'base_name': 'competition_rounds',
        'endpoint': '/api/competitions/{competition_id}/rounds',
        'docstring_vars': {'anchor': '/competitions/competitions_rounds_list'},
        'add_save_method': True,
    },
    {
        'base_name': 'in_possession_off_ball_runs',
        'endpoint': '/api/in_possession/off_ball_runs',
        'docstring_vars': {'anchor': '/in_possession/in_possession_off_ball_runs_list'},
        'add_save_method': True,
    },
    {
        'base_name': 'in_possession_on_ball_pressures',
        'endpoint': '/api/in_possession/on_ball_pressures',
        'docstring_vars': {'anchor': '/in_possession/in_possession_on_ball_pressures_list'},
        'add_save_method': True,
    },
    {
        'base_name': 'in_possession_passes',
        'endpoint': '/api/in_possession/passes',
        'docstring_vars': {'anchor': '/in_possession/in_possession_passes_list'},
        'add_save_method': True,
    },
    {
        'base_name': 'matches',
        'endpoint': '/api/matches',
        'docstring_vars': {'anchor': '/matches/matches_list'},
        'add_save_method': True,
    },
    {
        'base_name': 'match',
        'endpoint': '/api/match/{match_id}',
        'docstring_vars': {'anchor': '/match/match_read'},
        'add_save_method': True,
    },
    {
        'base_name': 'match_data_collection',
        'endpoint': '/api/match/{match_id}/data_collection',
        'docstring_vars': {'anchor': '/match/match_data_collection_read'},
        'add_save_method': True,
    },
    {
        'base_name': 'match_instructions',
        'endpoint': '/api/match/{match_id}/instructions',
        'docstring': 'Match instructions',
        'add_save_method': True,
    },
    {
        'base_name': 'match_tracking_data',
        'endpoint': '/api/match/{match_id}/tracking',
        'docstring_vars': {'anchor': '/match/match_tracking_list'},
        'add_save_method': True,
    },
    {
        'base_name': 'physical',
        'endpoint': '/api/physical',
        'docstring_vars': {'anchor': '/physical/physical_list'},
        'add_save_method': True,
    },
    {
        'base_name': 'players',
        'endpoint': '/api/players',
        'docstring_vars': {'anchor': '/players/players_list'},
        'add_save_method': True,
    },
    {
        'base_name': 'player',
        'endpoint': '/api/players/{player_id}',
        'docstring_vars': {'anchor': '/players/players_read'},
        'add_save_method': True,
    },
    {
        'base_name': 'seasons',
        'endpoint': '/api/seasons',
        'docstring_vars': {'anchor': '/seasons/seasons_list'},
        'add_save_method': True,
    },
    {
        'base_name': 'teams',
        'endpoint': '/api/teams',
        'docstring_vars': {'anchor': '/teams/teams_list'},
        'add_save_method': True,
    },
    {
        'base_name': 'team',
        'endpoint': '/api/teams/{team_id}',
        'docstring_vars': {'anchor': '/teams/teams_read'},
        'add_save_method': True,
    },
    {
        'base_name': 'dynamic_events_off_ball_runs',
        'endpoint': '/api/match/{match_id}/dynamic_events/off_ball_runs',
        'docstring_vars': {'anchor': '/match/match_dynamic_events_off_ball_runs_list'},
        'add_save_method': True,
    },
    {
        'base_name': 'dynamic_events_passing_options',
        'endpoint': '/api/match/{match_id}/dynamic_events/passing_options',
        'docstring_vars': {'anchor': '/match/match_dynamic_events_passing_options_list'},
        'add_save_method': True,
    },
    {
        'base_name': 'dynamic_events_player_possessions',
        'endpoint': '/api/match/{match_id}/dynamic_events/player_possessions',
        'docstring_vars': {'anchor': '/match/match_dynamic_events_player_possessions_list'},
        'add_save_method': True,
    },
    {
        'base_name': 'dynamic_events_phases_of_play',
        'endpoint': '/api/match/{match_id}/dynamic_events/phases_of_play/',
        'docstring_vars': {'anchor': '/match/match_dynamic_events_phases_of_play_list'},
        'add_save_method': True,
    },
    {
        'base_name': 'dynamic_events_on_ball_engagements',
        'endpoint': '/api/match/{match_id}/dynamic_events/on_ball_engagements/',
        'docstring_vars': {'anchor': '/match/match_dynamic_events_on_ball_engagement_list'},
        'add_save_method': True,
    },
    {
        'base_name': 'dynamic_events',
        'endpoint': '/api/match/{match_id}/dynamic_events',
        'docstring_vars': {'anchor': '/match/match_dynamic_events_list'},
        'add_save_method': True,
    },
]
